Subject: RE: Communication in response to the OIF

From: "Brungard, Deborah A, ALABS" <[email-masked]>
Date: Tue, 9 Mar 2004 17:26:25 -0600

Stephen,
 
The difficulty with the OIF liaison is to understand the intention of the communication and the expectation. The liaison states "to inform..attention and review". The documents are 100+ pages. And of completed work (already letter balloted and approved). Is the liaison informational? Or is it for action? What action is expected of IETF? To bless and BOF toast for global deployment? Approve, in what way, as RFCs? Without understanding the intention of the work, IETF can not "review". As Kireeti stated in his proposed response, this is the first question which needs clarification.
 
Point b is stating that the "solution" work is already on-going in IETF, and the concern to hear OIF is also working "solutions". Especially considering the cross-participation in ITU/OIF/IETF. A valid concern for any SDO on hearing solutions (using an SDO's protocols) are being progressed in the industry for their on-going work items. Point b could use rewording to clarify if this is not clear.
 
Deborah

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Stephen Shew
Sent: Tuesday, March 09, 2004 3:32 PM
To: [email-masked]'
Cc: 'Kireeti Kompella'; [email-masked]; Alex Zinin; Bill Fenner
Subject: RE: Communication in response to the OIF

Dimitri, the point I was trying to make was that it should not alarm CCAMP that the OIF has a relationship with the ITU-T.  On the matter of not having work reviewed by CCAMP, surely you recognize that the OIF liaison itself is an opportunity for that review to occur.

Many individuals have participated in routing for optical networks over the last several years in IETF, ITU-T, T1X1 and OIF, including yourself.  That the OIF has entertained routing contributions is no secret.  Further, since OIF and IETF are working with G.7715 and G.7715.1 compliance in mind, the OIF work should yield improvements that can benefit everyone in this area.  Again, this shouldn't be a cause of alarm from an organization that has "running code" as a principle.  So, I don't see the need for point b).

Your point 1 raises the issue of divergence, and I agree with you that "rough consensus" is not desirable here.  Having the OIF liaise to the IETF helps this as does the IETF replying.  Your suggestions to include the ospf and isis WGs is good advice, as is the suggestion to send a delta.  However the OIF is working directly from ITU-T requirements recommendations and would likely use the liaison process.

-----Original Message----- 
From: [email-masked] [ mailto:[email-masked]] 
Sent: Tuesday, March 09, 2004 14:53 
To: Shew, Stephen [CAR:QT00:EXCH] 
Cc: 'Kireeti Kompella'; [email-masked]; Alex Zinin; Bill Fenner 
Subject: Re: Communication in response to the OIF 

stephen: 

actually, i disagree with your suggestion, and this 
for three reasons: 

1) you're part of the ason routing design team so you 
    should be aware that there is an effort to avoid 
    another protocol clash (and this independently of 
    its origin since the result is the same) and thus 
    the aim is to converge from the early beginning - 
    this has been re-stated during the last ccamp wg 

2) yes, there is a clear concern about the "right way" 
    to approach a given problem, during the last iet59 
    meeting, w/i each non-protocol specific wg where 
    protocol(s) procedures/extensions and usage were 
    proposed exactly the same concern was raised - so 
    i would even include ospf wg (and is-is wg in case) 
    in the loop - 

3) if oif wants to put their requirement and solution 
    on the fast track nothing prevents they submit their 
    solution as an internet draft but from the below 
    proposal it seems much better they deliver their 
    delta requirements so that ietf could address both 
    oif and itu-t needs at once (btw these requirements 
    should be aligned from an architectural but also 
    functional perspective since they were already 
    backed up from each other) 

- dimitri. 

Stephen Shew wrote: 

> On the OIF contacts: 
> Jim Jones' email address is: [email-masked], he is the OIF 
> Architecture/Signaling WG chair John McDonough's email address is: 
> [email-masked],he is the Vice-President of the OIF 
> Steve Joiner's email address is: [email-masked] 
> 
> On point b) below, the OIF is a Rec. A5 qualified organization with 
> the ITU-T and has liaised work many times with SG15 of the ITU-T.  In 
> several meetings in 2002, the OIF voted to adopt ASON architecture and 
> requirements (including G.7715 on routing) for its Implementation 
> Agreements to comply with.  It should not alarm CCAMP that the OIF 
> also has a cooperative relationship with ITU-T with regard to ASON 
> routing.  Hence I suggest removing point b). 
> 
<snip>